Bug 22302 - ITEMTYPECAT description doesn't fall back to description if OPAC description is empty
Summary: ITEMTYPECAT description doesn't fall back to description if OPAC description ...
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-10 13:03 UTC by Katrin Fischer
Modified: 2020-02-20 01:52 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08, 18.11.14


Attachments
Bug 22302: Unit tests (2.13 KB, patch)
2020-02-04 14:17 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22302: Make ITEMTYPECAT descriptions fallback to lib description if no opac description (1.48 KB, patch)
2020-02-04 14:18 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22302: Unit tests (2.20 KB, patch)
2020-02-04 15:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22302: Make ITEMTYPECAT descriptions fallback to lib description if no opac description (1.54 KB, patch)
2020-02-04 15:42 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22302: Unit tests (2.20 KB, patch)
2020-02-05 10:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 22302: Make ITEMTYPECAT descriptions fallback to lib description if no opac description (1.54 KB, patch)
2020-02-05 10:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-02-10 13:03:21 UTC
Usually when you enter no special description for the OPAC, the description is used for display. This is not the case for itemtypes grouped using the ITEMTYPECAT authorised value in staff. There will no no description shown on advanced search in the OPAC when the OPAC description is not set.
Comment 1 Andrew Fuerste-Henry 2020-02-04 13:12:50 UTC
Agreed this is a pesky inconsistency. Easy enough to work around, but an annoying little trap for new users.
Comment 2 Nick Clemens 2020-02-04 14:17:59 UTC
Created attachment 98395 [details] [review]
Bug 22302: Unit tests
Comment 3 Nick Clemens 2020-02-04 14:18:02 UTC
Created attachment 98396 [details] [review]
Bug 22302: Make ITEMTYPECAT descriptions fallback to lib description if no opac description
Comment 4 Andrew Fuerste-Henry 2020-02-04 15:32:00 UTC
Test plan:
- create an authorized value in the ITEMTYPECAT category, give it a description but not a description (OPAC)
- connect an item type to your category
- go to the advanced search page on the OPAC
- see a radio button with no label
- apply patch
- reload OPAC adv search page
- radio button has a label
Comment 5 ByWater Sandboxes 2020-02-04 15:42:23 UTC
Created attachment 98410 [details] [review]
Bug 22302: Unit tests

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 6 ByWater Sandboxes 2020-02-04 15:42:25 UTC
Created attachment 98411 [details] [review]
Bug 22302: Make ITEMTYPECAT descriptions fallback to lib description if no opac description

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 7 Andrew Fuerste-Henry 2020-02-04 15:44:36 UTC
Amended test plan:
1 create an authorized value in the ITEMTYPECAT category, give it a description but not a description (OPAC)
2 connect an item type to your category
3 go to the advanced search page on the OPAC
4 see a radio button with no label
5 apply patch
6 reload OPAC adv search page
7 radio button has a label
8 go back to authorized values and add a Description (OPAC) that does not match Description
9 Reload OPAC and see that your radio button shows Description (OPAC)

Signing off.
Comment 8 Jonathan Druart 2020-02-05 10:42:22 UTC
Created attachment 98443 [details] [review]
Bug 22302: Unit tests

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 9 Jonathan Druart 2020-02-05 10:42:26 UTC
Created attachment 98444 [details] [review]
Bug 22302: Make ITEMTYPECAT descriptions fallback to lib description if no opac description

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 10 Martin Renvoize 2020-02-05 12:38:54 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-02-11 00:18:18 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 12 Lucas Gass 2020-02-14 21:38:52 UTC
backported to 19.05.x for 19.05.08
Comment 13 Hayley Mapley 2020-02-20 01:52:49 UTC
Backported to 18.11.x for 18.11.14